
.favorite-toggle {
    position: absolute;
    top: 16px;
    left: 16px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    z-index: 2;
  }
  
  .favorite-toggle__checkbox {
    position: absolute;
    opacity: 0;
    pointer-events: none;
  }
  
  .favorite-toggle__icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
  }
  
  .favorite-toggle__icon .fa-regular {
    display: inline-block;
    color: #999;
  }
  
  .favorite-toggle__icon .fa-solid {
    display: none;
    color: red; 
  }
  
  .favorite-toggle__checkbox:checked + .favorite-toggle__icon .fa-regular {
    display: none;
  }
  
  .favorite-toggle__checkbox:checked + .favorite-toggle__icon .fa-solid {
    display: inline-block;
  }

  .details-section .favorite-toggle__icon {
    font-size: 40px;
}
